Reply
Highlighted
Member
Posts: 1
Registered: ‎01-12-2018

AIM Integration: SSL to TLS on Java 1.6

Our application is running on Java 1.6 is accessing Authroize.net service using AIM method. There is NO option for us to upgrade this application to newer Java version, limited to a hardware situation.

 

\AuthorizeNet.jar\com\jcommercesql\gateway\authorizenet\AuthorizeNetCC.class

 

What are the options that can enable this application to continue making calls after the TLS cutover in February?

 

Hope this community will help us!

Authorize.Net Expert
Posts: 37
Registered: ‎07-27-2016

Re: AIM Integration: SSL to TLS on Java 1.6

Hi 

 

In Java 1.6, TLS 1.2 is not supported in Oracle public updates. It is supported in the business edition starting Oracle java version 6u115 b32.

If you constrained to Java 1.6 you will need to upgrade to atleast  this version.

 

And you can try adding ( -Dhttps.protocols=”TLSv1.2″ -Djdk.tls.client.protocols=”TLSv1.2″) to Java command line arguments which is used to launch client application. This will allow turning off support for TLS 1.1 and below on the server side completely and will support TLSv1.2.

 

Hope this Helps !